ArgentDawnGrinderFu = AceLibrary("AceAddon-2.0"):new("FuBarPlugin-2.0", "AceDB-2.0", "AceEvent-2.0", "AceConsole-2.0")
ArgentDawnGrinderFu:RegisterDB("ArgentDawnGrinderFuDB")

ArgentDawnGrinderFu.hasIcon = true
ArgentDawnGrinderFu.cannotDetachTooltip = true
ArgentDawnGrinderFu.defaultPosition = "LEFT"
ArgentDawnGrinderFu.folderName = "FuBar_ArgentDawnGrinderFu"

local Tablet = AceLibrary("Tablet-2.0")
local Crayon = AceLibrary("Crayon-2.0")

function ArgentDawnGrinderFu:OnEnable()
end

function ArgentDawnGrinderFu:OnTextUpdate()	
	self:SetText(""); --No text, just the icon.
end

function ArgentDawnGrinderFu:OnTooltipUpdate()
	Tablet:SetHint(ADG_TEXT["Toggle Selected Trackers\tLeft-Click\nToggle Settings Screen\tRight-Click"]);
end

function ArgentDawnGrinderFu:OnClick()
	if (arg1 == "RightButton") then
		local frame = getglobal("ArgentDawnGrinderSettingsFrame")
		if (frame) then
		if(frame:IsVisible()) then
		   frame:Hide();
		else
		   frame:Show();
		end
		end
	elseif (arg1 == "LeftButton")then
		ArgentDawnGrinder_ToggleFrameDisplay(not ARGENT_DAWN_GRINDER_SETTINGS["SHOW_FRAMES"]);
	end
end
